<div class="card m-2">
  <div class="card-header">
    <h4>{{title}}</h4>
  </div>
  <div class="card-body">
    <form name="form" (ngSubmit)="f.form.valid && onSubmit()" #f="ngForm" novalidate>
      <b>Dados Pessoais</b>
      <HR SIZE=7>
      <div class="form-row">
        <div class="form-group col-md-6">
          <label for="name-input">Nome <span class="required">*</span></label>
          <input type="text" class="form-control" id="name-input" placeholder="Nome" name="name" [(ngModel)]="client.name" [disabled]="!isAdmin"
            required #name="ngModel" minlength="3" maxlength="100">
          <div class="required" role="alert" *ngIf="name.errors && f.submitted">
            Nome necessário!
          </div>
        </div>

        <div class="form-group col-md-6">
          <label for="cpf-input">Cpf <span class="required">*</span></label>
          <input type="text" class="form-control" id="cpf-input" placeholder="CPF" mask='000.000.000-00' name="cpf"
            [(ngModel)]="client.cpf" required #cpf="ngModel" [disabled]="!isAdmin">
          <div class="required" role="alert" *ngIf="cpf.errors && f.submitted">
            Cpf necessário!
          </div>
        </div>
      </div>


      <b>Endereço</b>
      <HR SIZE=7>
      <div class="form-row">
        <div class="form-group col-md-4">
          <label for="cep">CEP <span class="required">*</span></label>
          <input type="text" class="form-control" id="cep" placeholder="40.000-000" mask='00.000-000' name="cep"
            [(ngModel)]="client.address.zipCode" required #cep="ngModel" (keyup)="onKeySearch($event)" [disabled]="!isAdmin">
          <div class="required" role="alert" *ngIf="cep.errors && f.submitted">
            CEP necessário!
          </div>
        </div>
        <div class="form-group col-md-4">
          <label for="state">Estado <span class="required">*</span></label>
          <input type="text" class="form-control" id="state" name="state" [(ngModel)]="client.address.uf" required
            #state="ngModel" [disabled]="!isAdmin">
          <div class="required" role="alert" *ngIf="state.errors && f.submitted">
            Estado necessário!
          </div>
        </div>

        <div class="form-group col-md-4">
          <label for="inputCity">Cidade <span class="required">*</span></label>
          <input type="text" class="form-control" id="inputCity" name="city" [(ngModel)]="client.address.city" required
            #city="ngModel" [disabled]="!isAdmin">
          <div class="required" role="alert" *ngIf="city.errors && f.submitted">
            Cidade necessário!
          </div>
        </div>
        <div class="form-group col-md-4">
          <label for="district">Bairro <span class="required">*</span></label>
          <input type="text" class="form-control" id="distict" placeholder="eg. Federação, Barueri, interlagos"
            name="district" [(ngModel)]="client.address.district" required #district="ngModel" [disabled]="!isAdmin">
          <div class="required" role="alert" *ngIf="district.errors && f.submitted">
            Bairro necessário!
          </div>
        </div>

        <div class="form-group col-md-4">
          <label for="address">Logradouro <span class="required">*</span></label>
          <input type="text" class="form-control" id="address" placeholder="ex: Rua 7 de Setembro, alameda pádua"
            name="address" [(ngModel)]="client.address.address" required #address="ngModel" [disabled]="!isAdmin">
          <div class="required" role="alert" *ngIf="address.errors && f.submitted">
            Endereço necessário!
          </div>
        </div>

        <div class="form-group col-md-4">
          <label for="complement">Complemento</label>
          <input type="text" class="form-control" id="complement" name="complement" [(ngModel)]="client.address.complement"
            #complement="ngModel" [disabled]="!isAdmin">
        </div>
      </div>


      <b>Telefone</b>
      <HR SIZE=7>
      <div class="form-row pb-4">
        <div class="form-group col-md-2">
          <label for="cellphoneType">Tipo <span class="required">*</span></label>
          <select id="cellphoneType" class="form-control" name="cellphoneType" [(ngModel)]="phone.type" selected="residencial" #cellphoneType="ngModel" [disabled]="!isAdmin">
            <option value="residencial">Residencial</option>
            <option value="comercial">Comercial</option>
            <option value="celular">Celular</option>
          </select>
        </div>
        <div class="form-group col-md-3">
          <label for="phonenumber">Telefone <span class="required">*</span></label>
          <input type="text" class="form-control" id="phonenumber" name="phonenumber" [(ngModel)]="phone.number"
            #phonenumber="ngModel" mask='(00)0000-0000||(00)00000-0000' [disabled]="!isAdmin">
            <div class="required" role="alert" *ngIf="phoneList.length == 0 && f.submitted">
              cadastre ao menos um numero de contato!
            </div>
        </div>
        <div class="form-group col-md-2 pt-2">
          <button class="btn btn-primary mt-4" type="button" (click)="addPhone()" [disabled]="!phonenumber.value || !cellphoneType.value">Adicionar Telefone</button>
        </div>
        <div class="col-md-5 card">
          <table class="table" style="height: 200px;">
            <thead>
              <tr>
                <th scope="col">Tipo</th>
                <th scope="col">Numero</th>
                <th scope="col">Ação</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let item of phoneList">
                <td scope="row">{{item?.type}}</td>
                <td>{{item?.number}}</td>
                <td>
                  <button type="button" class="btn btn-sm btn-danger" (click)="deleteCellphone(item?.id)" [disabled]="!isAdmin">Apagar</button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>


      <b>Email</b>
      <HR SIZE=7>
      <div class="form-row pb-4">
        <div class="form-group col-md-4">
          <label for="number">Email <span class="required">*</span></label>
          <input type="email" class="form-control" id="email" name="email" [(ngModel)]="userEmail.email"
            #email="ngModel" [disabled]="!isAdmin" >
            <div class="required" role="alert" *ngIf="emailList.length == 0 && f.submitted">
              Cadastre ao menos um email!
            </div>
        </div>
        <div class="form-group col-md-3 pt-2">
          <button class="btn btn-primary mt-4" type="button" (click)="addMail()" [disabled]="!email.value" [disabled]="!isAdmin" >Adicionar Email</button>
        </div>
        <div class="col-md-5 card" style="height: 200px;overflow-y: scroll;">
          <table class="table" style="width: 100%;">
            <thead>
              <tr>
                <th scope="col">Email</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let item of emailList">
                <td>{{item?.email}}</td>
                <td>
                  <button class="btn btn-sm btn-danger" type="button" (click)="deleteEmail(item?.id)" [disabled]="!isAdmin">Apagar</button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <button type="button" [routerLink]="['/home']" class="btn btn-danger">Voltar</button>
      <button type="submit" class="btn btn-success float-right" [class.spinner]="loading" [disabled]="loading" [disabled]="!isAdmin">Salvar</button>
    </form>
  </div>
</div>
